#
# spec file for package rubygem-oauth2
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-oauth2
Version:        2.0.9
Release:        1.11
%define mod_name oauth2
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://gitlab.com/oauth-xx/oauth2
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A Ruby wrapper for the OAuth 2.0 protocol
License:        MIT
Group:          Development/Languages/Ruby

%description
A Ruby wrapper for the OAuth 2.0 protocol built with a similar style to the
original OAuth spec.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.9
  see installed CHANGELOG.md
* Mon Aug 29 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.7
  see installed CHANGELOG.md
  [#]# [2.0.7] - 2022-08-22
  [#]## Added
  - [#629](https://github.com/oauth-xx/oauth2/pull/629) - Allow POST of JSON to get token (@pboling, @terracatta)
  [#]## Fixed
  - [#626](https://github.com/oauth-xx/oauth2/pull/626) - Fixes a regression in 2.0.6. Will now prefer the key order from the lookup, not the hash keys (@rickselby)
  - Note: This fixes compatibility with `omniauth-oauth2` and AWS
  - [#625](https://github.com/oauth-xx/oauth2/pull/625) - Fixes the printed version in the post install message (@hasghari)
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.6
  see installed CHANGELOG.md
* Mon Feb 21 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.9
  see installed CHANGELOG.md
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.7
  see installed CHANGELOG.md
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.4
  see installed CHANGELOG.md
  [#]# [1.4.4] - 2020-02-12
  - [#408](https://github.com/oauth-xx/oauth2/pull/408) - Fixed expires_at for formatted time (@Lomey)
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.3
  see installed CHANGELOG.md
  [#]# [1.4.3] - 2020-01-29
  - [#483](https://github.com/oauth-xx/oauth2/pull/483) - add project metadata to gemspec (@orien)
  - [#495](https://github.com/oauth-xx/oauth2/pull/495) - support additional types of access token requests (@SteveyblamFreeagent, @thomcorley, @dgholz)
  - Adds support for private_key_jwt and tls_client_auth
  [#]# [1.4.2] - 2019-10-01
  - [#478](https://github.com/oauth-xx/oauth2/pull/478) - support latest version of faraday & fix build (@pboling)
  - officially support Ruby 2.6 and truffleruby
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.4.1
  no changelog found
* Tue Jun 13 2017 coolo@suse.com
- updated to version 1.4.0
  no changelog found
* Sat Mar  4 2017 coolo@suse.com
- updated to version 1.3.1
  no changelog found
* Wed Dec 28 2016 coolo@suse.com
- updated to version 1.3.0
  no changelog found
* Fri Jul  1 2016 coolo@suse.com
- updated to version 1.2.0
  no changelog found
* Sun Jan 31 2016 coolo@suse.com
- updated to version 1.1.0
  no changelog found
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 28 2014 coolo@suse.com
- updated to version 1.0.0
* Mon Jan 20 2014 coolo@suse.com
- updated to version 0.9.3
* Wed Jul 31 2013 coolo@suse.com
- updated to version 0.9.2
* Sun May 26 2013 coolo@suse.com
- updated to version 0.9.1
* Fri Oct  7 2011 fcastelli@suse.com
- Update to v0.5.1
* Tue Apr 26 2011 aduffeck@novell.com
- Update to v0.4.1
* Thu Mar 17 2011 aduffeck@novell.com
- update to version 0.1.1
* Mon Jan 10 2011 aduffeck@novell.com
- initial version
